#pragma once

#if !defined(_IPP_INCLUDES)
	#define _IPP_INCLUDES
	#if defined(USE_IPP) && defined(_WIN64)
	#pragma message ("-----IPP-----")
		#if defined(USE_SSE41)
			#define Y8 1
			#pragma message ("-----x64 sse4.1-----")
			#include <ipp_y8.h>
		#elif defined(USE_I386_CORE2)
			#define U8 1
			#pragma message ("-----x64 ssse3-----")
			#include <ipp_u8.h>
		#elif defined(USE_SSE3)
				#define M7 1
				#pragma message ("-----x64 sse3-----")
				#include <ipp_m7.h>
		#endif
	#elif defined(USE_IPP) && defined(_WIN32)
	#pragma message ("-----IPP-----")
		#if defined(USE_SSE41)
			#define P8 1
			#pragma message ("-----sse4.1-----")
			#include <ipp_p8.h>
		#elif defined(USE_I386_CORE2)
			#define V8 1
			#pragma message ("-----ssse3-----")
			#include <ipp_v8.h>
		#elif defined(USE_SSE3)
			#if !defined(USE_AMD)
				#define T7 1
				#pragma message ("-----sse3-----")
				#include <ipp_t7.h>
			#else
				#define W7 1
				#pragma message ("-----sse2 IPP Libs for AMD SSE3 -----")
				#include <ipp_w7.h>
			#endif
		#elif defined(USE_SSE2)
			#define W7 1
			#pragma message ("-----sse2-----")
			#include <ipp_w7.h>
		#elif defined(USE_SSE)
			#define A6
			#pragma message ("-----sse-----")
			#include <ipp_a6.h>
		#endif
	#endif //_WIN32

		#include <ipp.h>
		#include <ipps.h>
		#if defined(USE_I386_XEON)
			#include <ippm.h>
		#endif
#endif // _IPP_INCLUDES
