#undef IPP_W32DLL
#if defined(__SSE41__)
	#define PREFIX(x)	y8_##x //available prefixes are mx,m7,u8,y8
#elif defined(__SSSE3__)
		#define PREFIX(x)	u8_##x //available prefixes are mx,m7,u8,y8
#elif defined(__SSE3__)
	#ifdef _WIN64
		#define PREFIX(x)	m7_##x //available prefixes are mx,m7,u8,y8
	#else
		#define PREFIX(x)	t7_##x //available prefixes are mx,m7,u8,y8
	#endif
#else 
	#define PREFIX(x)	mx_##x //available prefixes are mx,m7,u8,y8 , mx too slow to be good choice...
#endif

#define ippsFFTFree_C_32fc PREFIX(ippsFFTFree_C_32fc)
#define ippsFFTInitAlloc_C_32fc PREFIX(ippsFFTInitAlloc_C_32fc)
#define ippsFFTInv_CToC_32fc PREFIX(ippsFFTInv_CToC_32fc)
#define	ippsFFTFwd_CToC_32fc PREFIX(ippsFFTFwd_CToC_32fc)
#define ippsFFTInv_CToC_32fc_I PREFIX(ippsFFTInv_CToC_32fc_I)
#define ippsFFTGetBufSize_C_32fc PREFIX(ippsFFTGetBufSize_C_32fc)
#define ippsConv_32f PREFIX(ippsConv_32f)
#define ippsMalloc_8u PREFIX(ippsMalloc_8u)
#define ippsFree PREFIX(ippsFree)
#define ippmTranspose_m_32f PREFIX(ippmTranspose_m_32f)

#include "ipp.h"